Skip to content

Purge the LB Cache.

Deprecated
POST
/api/cdn/namespaces/{namespace}/http_loadbalancer/{name}/cache-purge
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/cdn/namespaces/example/http_loadbalancer/example/cache-purge \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "hard_purge": {}, "hostname": "example", "pattern": "example", "purge_all": {}, "soft_purge": {}, "url": "https://example.com" }'

Initiate Purge on the LB Cache.

Examples of this operation.

namespace
required
string

Namespace x-required Namespace scope of the metric request.

name
required
string

CDN Distribution Name x-required Format: string.

Media typeapplication/json
Cache Purge Request

CDN Cache Purge.

object
hard_purge
object
hostname
Hostname

Exclusive with [pattern purge_all URL] Purge cached content by Hostname.

string
<= 1024 characters
pattern
Regex Pattern to match

Exclusive with [hostname purge_all URL] Purge cached content using PCRE 1 compliant regular expression.

string
>= 1 characters <= 256 characters
purge_all
object
soft_purge
object
url
URL

Exclusive with [hostname pattern purge_all] Purge cache by using a URL path.

string format: uri
<= 1024 characters
Examplegenerated
{
"hard_purge": {},
"hostname": "example",
"pattern": "example",
"purge_all": {},
"soft_purge": {},
"url": "https://example.com"
}

A successful response.

Media typeapplication/json
Purge Response

Cache Purge message.

object
purge_request_id
Purge Request Id

Request ID to track the status of the purge request.

integer format: int64
Examplegenerated
{
"purge_request_id": 1
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example